com.sun.jna.platform.win32.COM.util

## Class RunningObjectTable

- java.lang.Object
- - com.sun.jna.platform.win32.COM.util.RunningObjectTable

- All Implemented Interfaces:
    IRunningObjectTable

      public class RunningObjectTable
      extends java.lang.Object
      implements IRunningObjectTable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) ObjectFactory` | `factory`
    `(package private) RunningObjectTable` | `raw`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RunningObjectTable(RunningObjectTable raw, ObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Iterable<IDispatch>` | `enumRunning()` Creates and returns an enumerator of all the objects currently registered in the running object table (ROT).
    `<T> java.util.List<T>` | `getActiveObjectsByInterface(java.lang.Class<T> comInterface)` Gets all the active (running) objects that support the give interface.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### factory

          ObjectFactory factory

    - #### raw

          RunningObjectTable raw

  - ### Constructor Detail

    - #### RunningObjectTable

          protected RunningObjectTable(RunningObjectTable raw,
                            ObjectFactory factory)

  - ### Method Detail

    - #### enumRunning

          public java.lang.Iterable<IDispatch> enumRunning()

      Description copied from interface: `IRunningObjectTable`
      Creates and returns an enumerator of all the objects currently registered in the running object table (ROT).
      Specified by:
        `enumRunning` in interface `IRunningObjectTable`

    - #### getActiveObjectsByInterface

          public <T> java.util.List<T> getActiveObjectsByInterface(java.lang.Class<T> comInterface)

      Description copied from interface: `IRunningObjectTable`
      Gets all the active (running) objects that support the give interface. Enumerates the running objects (via enumRunning), and returns a list of those for which queryInterface(iid) gives a valid result.
      Specified by:
        `getActiveObjectsByInterface` in interface `IRunningObjectTable`
      Returns:
        active objects

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.